nre_ad_boards:
  label: LDB Tables
  namespace: Organisms/TM - LDB
  use: '@organisms/tm-ldb/nre-ad.twig'
  description: Arrivals Departures component
  dependencies:
    - bs-tabs-items
  libraries:
    - nre_ad_lib:
        css:
          component:
            ../styles/nre-ad.css:
              weight: 10
  fields:
    departure_data:
      type: object
      label: Departures data
      preview:
        deps_1:
          serviceID: deps_1
          platform: '-'
          destination: Great Yarmouth
          departs: 17:00
          expected: On time
          origin: Norwich
          arrives: false
          operator: Northern
          details:
            - text: Great Yarmouth - Departing on time at 06:58
            - text: Acle - Arriving on time at 07:09
            - text: Brundall - Arriving on time at 07:21
            - text: Brundall Gardens - Arriving on time at 07:24
            - text: Norwich - Arriving on time at 07:35
        deps_2:
          serviceID: deps_2
          platform: '-'
          destination: Great Yarmouth
          departs: 17:00
          arrives: false
          expected: On time
          origin: Norwich
          operator: Northern
          details:
            - text: Great Yarmouth - Departing on time at 06:58
            - text: Acle - Arriving on time at 07:09
            - text: Brundall - Arriving on time at 07:21
            - text: Brundall Gardens - Arriving on time at 07:24
            - text: Norwich - Arriving on time at 07:35
    arrival_data:
      type: object
      label: Arrivals data
      preview:
        arrs_1:
          serviceID: arrs_1
          platform: '2'
          destination: Leeds
          departs: false
          arrives: 13:05
          expected: On time
          origin: Hidben Bridge
          operator: Northern
          details:
            - text: Moston - Cancelled
            - text: Mills Hill - Cancelled
            - text: Castleton - Cancelled
            - text: Rochdale - Cancelled
            - text: Todmorden - Cancelled
            - text: Hebden Bridge - Departed on time at 12:50
            - text: Mytholmroyd - Departed at 12:55
        arrs_2:
          serviceID: arrs_2
          platform: '2'
          destination: Leeds
          departs: false
          arrives: 13:05
          expected: On time
          origin: Hidben Bridge
          operator: Northern
          details:
            - text: Moston - Cancelled
            - text: Mills Hill - Cancelled
            - text: Castleton - Cancelled
            - text: Rochdale - Cancelled
            - text: Todmorden - Cancelled
            - text: Hebden Bridge - Departed on time at 12:50
            - text: Mytholmroyd - Departed at 12:55
  settings:
    tabbed:
      type: boolean
      label: Tabbed
      preview: false
      default: false
    tabs_style:
      type: select
      options:
        full: Full
        right: Right justified
      label: Tab style
      preview: full
      default: full
    responsive:
      type: boolean
      label: Responsive
      preview: false
      default: false
    row_limit:
      type: number
      label: Row limit
      default_value: 0
      preview: 0
      description: If a number other than 0 is passed then a reveal more will be used if there are more rows than the limit
